net.minecraft.client.renderer.texture

## Class TextureCompass

- java.lang.Object
- - net.minecraft.client.renderer.texture.TextureAtlasSprite
  - - net.minecraft.client.renderer.texture.TextureCompass

- All Implemented Interfaces:
    Icon

      public class TextureCompass
      extends TextureAtlasSprite

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `angleDelta` Speed and direction of compass rotation
    `double` | `currentAngle` Current compass heading in radians

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextureCompass(String par1Str)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `updateAnimation()`
    `void` | `updateCompass(World par1World, double par2, double par4, double par6, boolean par8, boolean par9)` Updates the compass based on the given x,z coords and camera direction

    - ### Methods inherited from class net.minecraft.client.renderer.texture.TextureAtlasSprite

      `clearFramesTextureData, copyFrom, getFrameCount, getFrameTextureData, getIconHeight, getIconName, getIconWidth, getInterpolatedU, getInterpolatedV, getMaxU, getMaxV, getMinU, getMinV, getOriginX, getOriginY, hasAnimationMetadata, initSprite, load, loadSprite, setFramesTextureData, setIconHeight, setIconWidth, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### currentAngle

          public double currentAngle

      Current compass heading in radians

    - #### angleDelta

          public double angleDelta

      Speed and direction of compass rotation

  - ### Constructor Detail

    - #### TextureCompass

          public TextureCompass(String par1Str)

  - ### Method Detail

    - #### updateAnimation

          public void updateAnimation()

      Overrides:
        `updateAnimation` in class `TextureAtlasSprite`

    - #### updateCompass

          public void updateCompass(World par1World,
                           double par2,
                           double par4,
                           double par6,
                           boolean par8,
                           boolean par9)

      Updates the compass based on the given x,z coords and camera direction